Skip to content

API

Onboard

Allow a seller to opt in to being bookable via imin

There are two types of sellers who can onboard with imin:

  • Free Seller: A seller whose sessions/slots are all free. This seller does not need to set up a Stripe account.
  • Paid Seller: A seller which has some paid sessions/slots. This seller does need to set up a Stripe account.

1. Auth

First get an Auth token.

Headers

X-API-KEY must be provided when making the request to get the auth token.

Request

POST https://sellers.imin.co/api/onboard-token?stripe={stripeNeeded}&sellerId={sellerId}

Set stripeNeeded to false for Free Sellers. Otherwise set stripeNeeded to true.

Set sellerId to the seller ID e.g. https://acme-provider.com/sellers/abc123. This must be a URL.

Response

{
"url": "https://sellers.imin.co/onboard?jwt=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"
}

2. Onboard

The URL returned by the above renders a page in which a seller can onboard their details with imin. This includes opting into being bookable through imin, and optionally connecting to imin with Stripe. Stripe connection is only applicable for sellers with paid sessions and slots.

The URL contains a JWT, which will authorize the seller to view the page from their browser. The JWT is one-use only and short lived.

Update

Previously onboarded sellers can update their details by going through a very similar workflow to the above.

A seller can transition their stripe status:

  • Free -> Paid: If a Free Seller wants to introduce paid sessions they will need to connect to imin through Stripe. The seller will see the onboarding flow with a new Stripe connection page. As they have already onboarded, the workflow will show their previously completed Terms.

  • Paid -> Free: If a Paid Seller wants to remove all paid sessions, and continue as a free seller, they can disconnect their Stripe account from imin.

    The seller will see the onboarding flow with a new Stripe disconnection page. As they have already onboarded, the workflow will show their previously completed Terms.

1. Auth

Headers

X-API-KEY must be provided when making the request to get the auth token.

Request

POST https://sellers.imin.co/api/update-token?stripe={stripeNeeded}&sellerId={sellerId}

Set stripeNeeded to false for sellers who want to transition to Free Sellers.

Set stripeNeeded to true for sellers who want to transition to Paid Sellers.

Set sellerId to the seller ID e.g. https://acme-provider.com/sellers/abc123. This must be a URL.

Response

{
"url": "https://sellers.imin.co/update?jwt=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"
}

2. Update

The URL returned by the above renders a page in which a seller can update their details with imin.

The URL contains a JWT, which will authorize the seller to view the page from their browser. The JWT is one-use only and short lived.

View

Previously onboarded sellers can view their details by going through a very similar workflow to the above.

1. Auth

Headers

X-API-KEY must be provided when making the request to get the auth token.

Request

POST https://sellers.imin.co/api/view-token?sellerId={sellerId}

Set sellerId to the seller ID e.g. https://acme-provider.com/sellers/abc123. This must be a URL.

Response

{
"url": "https://sellers.imin.co/view?jwt=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"
}

2. View

The URL returned by the above renders a page in which an sellers can view their details with imin.

The URL contains a JWT, which will authorize the sellers to view the page from their browser. The JWT is one-use only and short lived.

Delete

Deleting a sellers will:

  • Opt them out of being bookable via imin
  • Disconnect their Stripe account from imin if applicable

Headers

X-API-KEY must be provided when making the request to delete a sellers.

Request

DELETE https://sellers.imin.co/api/sellers/{sellerId}

Set sellerId to the seller ID e.g. https://acme-provider.com/sellers/abc123. This must be a URL.